/*CSS SELECTORS*/
*{
	font-family: "sans-serif;", monospace; 
	font-size: 20px;
}

/*
Type selector (tag name) - targets elements with the specified type/tag name
*/
h1 {
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

/*

Universal selector (*) - targets all elements
*/
/*
	ID selector (#id-name) - targets elements according to its id attribute; ideally used for targetting a unique element.
*/

#zuitt-motto{
	letter-spacing: 5px;
}


/*
	Class Selector (.class-name) -  target elements according to its class attribute; ideally used for targeting multiple elements at once.

*/

.offering-item{
	text-transform: uppercase;
}

/*
	Attribute Selector (attribute="value" / tagname [attribute]) - targets elements with a specified elemen attribute; used to target elements with a certain attribute
*/

input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;

}

/*
	Adjacent Sibling Selector (+) - select the sibling element that is directly after another specified element.
*/

h3 + img, img + img {
	height: 300px;
	width: 300px;
	border-style: solid;
	border-color: darkred;
	border-radius: 150px;
}


/*
	Descendant selector (whitespace/space) - matches all elements that are descendants of a specified elements.
*/

#bootcamp-learning-list li{
	color: #075966;
}

/*
	General Sibling Selector (~) - select all elements that are next to siblings
*/

/* multiple selector (,) -allows use to use multiple selectors*/
h2~a, a{
	text-decoration: none;
}


/*
	Child Selector (>) - select all elements that are direct children of specified element.
*/

section>form>label{
	color: rgb(0, 0, 128);
}

body {
	background-color: skyblue;
}

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;

}

/*
	selector: hover -pseudo class
*/
/* changes the style when hovered over */

a:hover{
	background-color: #b4d6de;
}

div{
	display:  inline-block;
	float: right;
}

section{
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button {
	background-color: darkred;
	color: white;
	border: 0;
	border-radius: 15px;
}